#include<reg52.h>   //包含52系列单片机头文件
sbit LED=P1^0;     //位地址声明，sbit必须小写，P为大写
unsigned int i;      //声明全局变量i
void main()       //主函数，它是整个程序开始执行的入口
{	
	while(1)     //while大循环语句，使内部循环体始终在反复运行
	{
		LED=0;   //点亮D1灯
		for(i=0;i<50000;i++);   //用for语句，进行延时
		LED=1;   //熄灭D1灯
		for(i=0;i<50000;i++);   //用for语句，进行延时
	}	
}